Subject: Re: bug#52679: Errors in grep man pages

From: Jim Meyering <[email-masked]>
Date: Mon, 20 Dec 2021 10:33:32 -0800

On Mon, Dec 20, 2021 at 8:23 AM Helge Kreutzmann <[email-masked]> wrote:
>
> Dear grep maintainer,
> the manpage-l10n project maintains a large number of translations of
> man pages both from a large variety of sources (including grep) as
> well for a large variety of target languages.
>
> During their work translators notice different possible issues in the
> original (english) man pages. Sometimes this is a straightforward
> typo, sometimes a hard to read sentence, sometimes this is a
> convention not held up and sometimes we simply do not understand the
> original.
>
> We use several distributions as sources and update regularly (at
> least every 2 month). This means we are fairly recent (some
> distributions like archlinux also update frequently) but might miss
> the latest upstream version once in a while, so the error might be
> already fixed. We apologize and ask you to close the issue immediately
> if this should be the case, but given the huge volume of projects and
> the very limited number of volunteers we are not able to double check
> each and every issue.
>
> Secondly we translators see the manpages in the neutral po format,
> i.e. converted and harmonized, but not the original source (be it man,
> groff, xml or other). So we cannot provide a true patch (where
> possible), but only an approximation which you need to convert into
> your source format.
>
> Finally the issues I'm reporting have accumulated over time and are
> not always discovered by me, so sometimes my description of the
> problem my be a bit limited - do not hesitate to ask so we can clarify
> them.
>
> I'm now reporting the errors for your project. If future reports
> should use another channel, please let me know.
>
> Man page: grep.1
> Issue: IE<lt>PATTERNSE<gt> → I<PATTERNS>
>
> "Interpret IE<lt>PATTERNSE<gt> as Perl-compatible regular expressions "
> "(PCREs).  This option is experimental when combined with the B<-z> (B<-\\^-"
> "null-data>)  option, and B<grep -P> may warn of unimplemented features."
> --
> Issue: BE<lt>pcrepatternE<gt>(3) → B<pcrepattern>(3)
>
> "B<grep> understands three different versions of regular expression syntax: "
> "``basic'' (BRE), ``extended'' (ERE) and ``perl'' (PCRE).  In GNU B<grep> "
> "there is no difference in available functionality between basic and extended "
> "syntaxes.  In other implementations, basic regular expressions are less "
> "powerful.  The following description applies to extended regular "
> "expressions; differences for basic regular expressions are summarized "
> "afterwards.  Perl-compatible regular expressions give additional "
> "functionality, and are documented in BE<lt>pcresyntaxE<gt>(3) and "
> "BE<lt>pcrepatternE<gt>(3), but work only if PCRE support is enabled."

Thank you for the reports.
The above issues are no longer present in the latest sources.

> --
> Issue: Not in "grep --help"; remove?
>
> "B<-y>"

This is the desired state: documented in texinfo only (not in --help
or man page), because the option
is on its way to being deleted.

> --
> Issue: --invert-match is above, not below.
>
> "Suppress normal output; instead print a count of matching lines for each "
> "input file.  With the B<-v>, B<-\\^-invert-match> option (see below), count "
> "non-matching lines."

Thanks for that. I have corrected it with a patch in your name here:
https://git.savannah.gnu.org/cgit/grep.git/commit/?id=95440891d04762d8112b6ae858b9b00932b573d5